Bug 187131 - ATI Radeon Graphics Driver does not work. You need to use the VESA driver for graphics
ATI Radeon Graphics Driver does not work. You need to use the VESA driver for...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-28 13:33 EST by Mark Allyn
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-21 09:11:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Results of lspci, dmesg, and /var/log/messages file (117.26 KB, text/plain)
2006-03-28 13:33 EST, Mark Allyn
no flags Details
X Log file (144.46 KB, text/plain)
2006-03-28 14:59 EST, Mark Allyn
no flags Details
X configuration file (2.50 KB, text/plain)
2006-03-28 15:01 EST, Mark Allyn
no flags Details

  None (edit)
Description Mark Allyn 2006-03-28 13:33:31 EST
The open source ATI Radeon graphics driver does not work. X does not display 
anything (just a blank screen) when this driver is used. I was forced to use
the generic vesa driver in order to use this platform.
Comment 1 Mark Allyn 2006-03-28 13:33:31 EST
Created attachment 126917 [details]
Results of lspci, dmesg, and /var/log/messages file
Comment 2 Mike A. Harris 2006-03-28 13:48:01 EST
Attach your X server config file and log file as individual uncompressed
file attachments from using the radeon driver.
Comment 3 Mark Allyn 2006-03-28 14:59:55 EST
Created attachment 126924 [details]
X Log file
Comment 4 Mark Allyn 2006-03-28 15:01:03 EST
Created attachment 126925 [details]
X configuration file
Comment 5 Mike A. Harris 2006-06-27 10:43:33 EDT
Does it work with the radeon driver if you fully update to the latest FC5
updates, and comment out the line:  Load "dri" in the config file?

Comment 6 John Levon 2006-07-16 08:29:21 EDT
I have (had) this problem with:

01:00.1 Display controller: ATI Technologies Inc RV280 [Radeon 9200 SE]
(Secondary) (rev 01)

for the entirety of FC4 (including up to date). Commenting out the dri module is
indeed the work around I have had to use.

Let me know if you'd like my config too.
Comment 7 John Levon 2006-07-16 08:40:55 EDT
This is covered by:

http://kbase.redhat.com/faq/FAQ_85_7685.shtm

for those reading this bug...
Comment 8 Matěj Cepl 2007-02-07 05:02:09 EST
Reporter, could you confirm please, that this bug still could be reproduced with
the latest release of Fedora (FC6)?
Comment 9 Matěj Cepl 2007-06-21 09:11:27 EDT
No response from reporter, closing as INSUFFICIENT_DATA. If anyone has some
information on this bug, please, reopen with additional data.

Note You need to log in before you can comment on or make changes to this bug.